<p align='left'>
  <picture>
    <!-- light mode logo -->
    <source media='(prefers-color-scheme: light)' srcset='https://raw.githubusercontent.com/EasyScience/BrandingResources/refs/heads/master/EasyDiffraction/logos/ed-logo_light.svg'>
    <!-- dark mode logo -->
    <source media='(prefers-color-scheme: dark)' srcset='https://raw.githubusercontent.com/EasyScience/BrandingResources/refs/heads/master/EasyDiffraction/logos/ed-logo_dark.svg'>
    <!-- default logo == light mode logo -->
    <img src='https://raw.githubusercontent.com/EasyScience/BrandingResources/refs/heads/master/EasyDiffraction/logos/ed-logo_light.svg' alt='EasyDiffraction'>
  </picture>
</p>

**EasyDiffraction** is a Python library for calculating powder diffraction
patterns based on structural models and refining their parameters against
experimental data.

This library serves as the foundation of the [EasyDiffraction Application], a
user-friendly graphical interface that streamlines and accelerates the analysis
of diffraction experiments.

**EasyDiffraction** is built upon the [EasyScience] framework, which provides
essential tools for developing scientific libraries and applications.

## Useful Links

- [Main Website] - Learn more about EasyDiffraction.
- [Documentation] - Access the full documentation.
- [Discussions] - Ask questions or share ideas.
- [Issue Tracker] - Report bugs or request new features.
- [Source Code] - Explore the source code repository.

## Contributing

We welcome contributions! Our vision is for **EasyDiffraction** to be a
community-driven, open-source project supported by a diverse group of
contributors.

The project is currently maintained by the [European Spallation Source (ESS)] in
Sweden.

If you'd like to contribute, please refer to our [Contributing Guidelines] for
information about our code of conduct and instructions on submitting pull
requests.

## License

**EasyDiffraction** is licensed under the [BSD 3-Clause License].

<!-- prettier-ignore-start -->
[BSD 3-Clause License]: https://github.com/EasyScience/EasyDiffractionLib/blob/master/LICENSE
[Contributing Guidelines]: https://github.com/EasyScience/EasyDiffractionLib/blob/master/CONTRIBUTING.md
[EasyDiffraction Application]: https://github.com/EasyScience/EasyDiffractionApp
[EasyScience]: https://easyscience.software
[European Spallation Source (ESS)]: https://ess.eu
[Main Website]: https://easydiffraction.org
[Documentation]: https://docs.easydiffraction.org/lib
[Discussions]: https://github.com/EasyScience/EasyDiffractionLib/discussions
[Issue Tracker]: https://github.com/EasyScience/EasyDiffractionLib/issues
[Source Code]: https://github.com/EasyScience/EasyDiffraction
<!-- prettier-ignore-end -->
